import * as models from "./modules/dataModel/_system.mjs";

/* -------------------------------------------- */
/*  Foundry VTT Initialization                  */
/* -------------------------------------------- */

const SYSTEM = {
    id: "kidsonbrooms",
    
}

Hooks.once("init", async function() {
    console.log("Initialising Kids on Brooms system");

    globalThis.kidsonbrooms = game.system;
    game.system.CONST = SYSTEM;
    
    Actors.unregisterSheet("core", ActorSheet);
    Actors.registerSheet(SYSTEM.id, "core", {types: ["PlayerCharacter"], makeDefault: true});

    CONFIG.Actor.dataModels = {
        playercharacter: models.playerCharacterModel
    };

})